<?xml version="1.0" encoding="UTF-8"?>
<package kind='package' name='ti.sysbios.rom.cortexm.cc26xx.r2' nodoc='1' root='../../../../../../' summary=''>
    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Erequires%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2From%2Fpackage.html%22+title%3D%22ti.sysbios.rom%22%3Eti.sysbios.rom%3C%2Fa%3E%3B'/>
    <line blank='1' always='0'/>
    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Epackage%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eti.sysbios.rom.cortexm.cc26xx.r2%3C%2Fspan%3E%3C%2Fgo%3E+%5B1%2C+0%2C+0%2C+0%5D+%7B'/>
    <line tab='0' content='%7D'/>
    <unit name='CC26xx' kind='module' nodoc='0' metaonly='0' summary='' inherits='ti.sysbios.interfaces.IRomDevice'>
        <synopSpec>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Epackage%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2From%2Fcortexm%2Fcc26xx%2Fr2%2Fpackage.html%22+title%3D%22ti.sysbios.rom.cortexm.cc26xx.r2%22%3Eti.sysbios.rom.cortexm.cc26xx.r2%3C%2Fa%3E%3B'/>
            <line blank='1' always='0'/>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emodule%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx%3C%2Fspan%3E%3C%2Fgo%3E%3Cspan+class%3D%22xdoc-kw1%22%3E+inherits+%3C%2Fspan%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIRomDevice.html%22+title%3D%22ti.sysbios.interfaces.IRomDevice%22%3EIRomDevice%3C%2Fa%3E+%7B'/>
            <line tab='0' content='%7D'/>
        </synopSpec>
        <specInfo>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emodule%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx%3C%2Fspan%3E%3C%2Fgo%3E+%7B%3Cb%3E%26nbsp%3B%26nbsp%3B...%3C%2Fb%3E'/>
            <line tab='0' comment='inherits+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIRomDevice.html%22+title%3D%22ti.sysbios.interfaces.IRomDevice%22%3Eti.sysbios.interfaces.IRomDevice%3C%2Fa%3E'/>
            <line tab='1' comment='inherits+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%22+title%3D%22xdc.runtime.IModule%22%3Exdc.runtime.IModule%3C%2Fa%3E'/>
        </specInfo>
        <synopMeta>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Evar%3C%2Fspan%3E+CC26xx+%3D+%3Cspan+class%3D%22xdoc-kw3%22%3Exdc.useModule%3C%2Fspan%3E%28%3Cspan+class%3D%22xdoc-id%22%3E%27ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx%27%3C%2Fspan%3E%29%3B'/>
        </synopMeta>
        <synopTarg>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw3%22%3E%23include%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-id%22%3E%26lt%3Bti%2Fsysbios%2From%2Fcortexm%2Fcc26xx%2Fr2%2FCC26xx.h%26gt%3B%3C%2Fspan%3E'/>
        </synopTarg>
        <group name='local proxy modules'>
        </group>
        <group name='module-wide constants &amp; types'>
            <decl spacer='1'/>
        </group>
        <group name='module-wide config parameters'>
            <decl spacer='1'/>
            <decl kind='config' name='configNameMap$' anchor='config.Name.Map$' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.configNameMap$' nodoc='1' external='1' overrides='0' readonly='1' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23config.Name.Map%24%22+title%3D%22xdc.runtime.IModule.configNameMap%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Ereadonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EconfigNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D+%3D+%255B'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FMemory%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.instanceHeap%2522%252C'/>
                    <line tab='4' content='%2522common%2524.instanceSection%2522%252C'/>
                    <line tab='4' content='%2522common%2524.memoryPolicy%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedModule%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedInstance%2522%252C'/>
                    <line tab='4' content='%2522common%2524.fxntab%2522%252C'/>
                    <line tab='4' content='%2522common%2524.romPatchTable%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FDiagnostics%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.logger%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ASSERT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ENTRY%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_EXIT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INTERNAL%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_LIFECYCLE%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_STATUS%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER1%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER2%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER3%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER4%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER5%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER6%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INFO%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ANALYSIS%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FConcurrency%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.gate%2522%252C'/>
                    <line tab='4' content='%2522common%2524.gateParams%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D'/>
                    <line tab='0' content='%255D%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Econst%3C%2Fspan%3E+%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EconfigNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3C%2Fi%3E+%255B'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FMemory%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.instanceHeap%2522%252C'/>
                    <line tab='4' content='%2522common%2524.instanceSection%2522%252C'/>
                    <line tab='4' content='%2522common%2524.memoryPolicy%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedModule%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedInstance%2522%252C'/>
                    <line tab='4' content='%2522common%2524.fxntab%2522%252C'/>
                    <line tab='4' content='%2522common%2524.romPatchTable%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FDiagnostics%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.logger%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ASSERT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ENTRY%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_EXIT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INTERNAL%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_LIFECYCLE%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_STATUS%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER1%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER2%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER3%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER4%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER5%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER6%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INFO%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ANALYSIS%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FConcurrency%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.gate%2522%252C'/>
                    <line tab='4' content='%2522common%2524.gateParams%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D'/>
                    <line tab='0' content='%255D%3B'/>
                </synopMeta>
            </decl>
            <decl spacer='1'/>
            <decl kind='config' name='REVISION' anchor='.R.E.V.I.S.I.O.N' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.REVISION' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary=''>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt32%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EREVISION%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EREVISION%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EUInt32%3C%2Fspan%3E%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Eextern+const%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt32%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_REVISION%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopTarg>
            </decl>
            <decl spacer='1'/>
            <decl kind='config' name='REVISION_WORD_ADDRESS' anchor='.R.E.V.I.S.I.O.N_.W.O.R.D_.A.D.D.R.E.S.S' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.REVISION_WORD_ADDRESS' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt32%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EREVISION_WORD_ADDRESS%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EREVISION_WORD_ADDRESS%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EUInt32%3C%2Fspan%3E%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
            </decl>
            <decl kind='config' name='common$' anchor='common$' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.common$' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='Common+module+configuration+parameters' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23common%24%22+title%3D%22xdc.runtime.IModule.common%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Common%24%22+title%3D%22xdc.runtime.Types.Common%24%22%3ETypes.Common%24%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Ecommon%24%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3Ecommon%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Common%24%22+title%3D%22xdc.runtime.Types.Common%24%22%3ETypes.Common%24%3C%2Fa%3E%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
                <docSect name='details'>
                    <docPara content='All+modules+have+this+configuration+parameter.++Its+name%0A++contains+the+%27%24%27+character+to+ensure+it+does+not+conflict+with%0A++configuration+parameters+declared+by+the+module.++This+allows%0A++new+configuration+parameters+to+be+added+in+the+future+without%0A++any+chance+of+breaking+existing+modules.'/>
                </docSect>
            </decl>
            <decl kind='config' name='libDir' anchor='lib.Dir' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.libDir' nodoc='0' external='1' overrides='1' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIRomDevice.html%23lib.Dir%22+title%3D%22ti.sysbios.interfaces.IRomDevice.libDir%22%3EIRomDevice%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Eoverride+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ElibDir%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Enull%253C%252Fspan%253E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3ElibDir%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%3C%2Fi%3E+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Enull%253C%252Fspan%253E%3B'/>
                </synopMeta>
            </decl>
            <decl kind='config' name='otherLibFuncs' anchor='other.Lib.Funcs' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.otherLibFuncs' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EotherLibFuncs%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw2%22%3E%3C%2Fspan%3E%5D%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EotherLibFuncs%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%5B%3Cspan+class%3D%22xdoc-kw2%22%3E%3C%2Fspan%3E%5D%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
            </decl>
            <decl kind='config' name='rovShowRawTab$' anchor='rov.Show.Raw.Tab$' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.rovShowRawTab$' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23rov.Show.Raw.Tab%24%22+title%3D%22xdc.runtime.IModule.rovShowRawTab%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ErovShowRawTab%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Etrue%253C%252Fspan%253E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3ErovShowRawTab%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%3C%2Fi%3E+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Etrue%253C%252Fspan%253E%3B'/>
                </synopMeta>
            </decl>
            <decl kind='config' name='templateName' anchor='template.Name' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.templateName' nodoc='0' external='1' overrides='1' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIRomDevice.html%23template.Name%22+title%3D%22ti.sysbios.interfaces.IRomDevice.templateName%22%3EIRomDevice%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Eoverride+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EtemplateName%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%2522CC26xx_rom_makefile.xdt%2522%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EtemplateName%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%3C%2Fi%3E+%2522CC26xx_rom_makefile.xdt%2522%3B'/>
                </synopMeta>
            </decl>
            <decl kind='config' name='viewNameMap$' anchor='view.Name.Map$' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.viewNameMap$' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='Specifies+the+ROV+views+for+the+module' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23view.Name.Map%24%22+title%3D%22xdc.runtime.IModule.viewNameMap%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EviewNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EviewNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
            </decl>
        </group>
        <group name='module-wide data'>
        </group>
        <group name='module-wide functions'>
            <decl kind='fxn' name='checkRevision' anchor='check.Revision' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.checkRevision' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIRomDevice.html%23check.Revision%22+title%3D%22ti.sysbios.interfaces.IRomDevice.checkRevision%22%3EIRomDevice%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EcheckRevision%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_checkRevision%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopTarg>
            </decl>
            <decl kind='fxn' name='getRevision' anchor='get.Revision' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.getRevision' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIRomDevice.html%23get.Revision%22+title%3D%22ti.sysbios.interfaces.IRomDevice.getRevision%22%3EIRomDevice%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EgetRevision%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_getRevision%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopTarg>
            </decl>
            <decl spacer='1'/>
            <decl kind='fxn' name='getOtherLibDefs' anchor='get.Other.Lib.Defs' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.getOtherLibDefs' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='Get+the+compiler+-D+mappings+of+the%0A++driverlib+library+funcs+into+function+ptrs' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EgetOtherLibDefs%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EgetOtherLibDefs%3C%2Fspan%3E%3C%2Fgo%3E%28++%29+%3Ci%3Ereturns%3C%2Fi%3E+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EString%3C%2Fspan%3E%3C%2Fi%3E'/>
                </synopMeta>
            </decl>
            <decl kind='fxn' name='loadAppConfig' anchor='load.App.Config' altext='ti.sysbios.rom.cortexm.cc26xx.r2.CC26xx.loadAppConfig' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIRomDevice.html%23load.App.Config%22+title%3D%22ti.sysbios.interfaces.IRomDevice.loadAppConfig%22%3EIRomDevice%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cgo%3E%3Cspan+class%3D%22xdoc-kw1%22%3Efunction+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-id%22%3EloadAppConfig%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ECC26xx.%3Cspan+class%3D%22xdoc-id%22%3EloadAppConfig%3C%2Fspan%3E%3C%2Fgo%3E%28++%29+%3Ci%3Ereturns%3C%2Fi%3E+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EAny%3C%2Fspan%3E%3C%2Fi%3E'/>
                </synopMeta>
            </decl>
        </group>
        <group name='module-wide built-ins'>
            <synopTarg>
                <line tab='0' comment='Get+this+module%27s+unique+id' content='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Module.Id%22+title%3D%22xdc.runtime.Types.ModuleId%22%3ETypes_ModuleId%3C%2Fa%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_Module_id%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Test+if+this+module+has+completed+startup' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_Module_startupDone%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='The+heap+from+which+this+module+allocates+memory' content='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIHeap.html%23per-instance_object_types%22+title%3D%22xdc.runtime.IHeap.Handle%22%3EIHeap_Handle%3C%2Fa%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_Module_heap%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Test+whether+this+module+has+a+diagnostics+mask' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_Module_hasMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Returns+the+diagnostics+mask+for+this+module' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBits16%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_Module_getMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Set+the+diagnostics+mask+for+this+module' content='%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ECC26xx_Module_setMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EBits16%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-id%22%3Emask%3C%2Fspan%3E+%29%3B'/>
            </synopTarg>
        </group>
    </unit>
</package>
